/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-07 17:14
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    vector<ll> a, b;
    ll t;
    R(i, N){
        cin >> t;
        a.emplace_back(t);
    }
    R(i, N){
        cin >> t;
        b.emplace_back(t);
    }
    ll maxdist = -3e9 - 10, id;
    vector<ll> strongs;
    R(i, N)
        if(a[i] - b[i] > maxdist){
            maxdist = a[i] - b[i], id = i;
            strongs = vector<ll> {i + 1};
        } else if (a[i] - b[i] == maxdist){
            strongs.emplace_back(i + 1);
        }

    cout << strongs.size() << endl;
    for(auto ele: strongs){
        cout << ele << " ";
    }
    cout << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
